Mailinglist Archive: opensuse-bugs (15856 mails)

< Previous Next >
[Bug 302148] New: ConsoleKit fails on update (x86_64)
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Tue, 21 Aug 2007 08:10:29 -0600 (MDT)
  • Message-id: <bug-302148-21960@xxxxxxxxxxxxxxxxxxxxxxxxx/>
https://bugzilla.novell.com/show_bug.cgi?id=302148

           Summary: ConsoleKit fails on update (x86_64)
           Product: openSUSE 10.3
           Version: Beta 1
          Platform: Other
        OS/Version: Other
            Status: NEW
          Severity: Normal
          Priority: P5 - None
         Component: Hotplug
        AssignedTo: hmacht@xxxxxxxxxx
        ReportedBy: ro@xxxxxxxxxx
         QAContact: qa@xxxxxxx
                CC: meissner@xxxxxxxxxx, kukuk@xxxxxxxxxx
          Found By: ---


Subprocess failed. Error: RPM failed: ERROR: module
/lib/security/pam_ck_connector.so is not installed.
error: %post(ConsoleKit-0.2.1-41.x86_64) scriptlet failed, exit status 1

ConsoleKit calls pam-config in it's postinstall script:
/usr/sbin/pam-config --service login -a --ck_connector


as far as I can read the code in pam-config
will always fail on x86_64 because it checks for both,
the 32bit and the 64bit pam plugin and in the postinstall you
can never expect both of them to be installed already.

and btw. I though there was an agreement not to call pam-config
in postinstall scripts.


-- 
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >